--- title: "Get All Columns Metadata" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/get-all-columns-metadata/ description: "This API enables you to retrieve the metadata of all the columns in a table in the Data Store." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Get the Metadata of All Columns ### Description This API enables you to retrieve the metadata of all the columns in a table in the [Data Store](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/introduction), by referring to the table's unique ID or name. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/column - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **tableIdentifier** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/tables/#create-a-new-table) of the table or table name #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.columns.READ ### Response Details The response will return the metadata of all columns such as the `column_id`, `column_name`, and `data_type` of each column. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/column \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status":"success", "data":[ { "table_id":829000000037723, "column_sequence":1, "column_name":"ROWID", "category":1, "data_type":"bigint", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":false, "column_id":829000000037726 }, { "table_id":829000000037723, "column_sequence":2, "column_name":"CREATORID", "category":1, "data_type":"bigint", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037728 }, { "table_id":829000000037723, "column_sequence":3, "column_name":"CREATEDTIME", "category":1, "data_type":"datetime", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037730 }, { "table_id":829000000037723, "column_sequence":4, "column_name":"MODIFIEDTIME", "category":1, "data_type":"datetime", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037732 }, { "table_id":829000000037723, "column_sequence":5, "column_name":"EmpID", "category":2, "data_type":"bigint", "is_read_only":false, "max_length":15, "is_mandatory":true, "decimal_digits":2, "is_unique":true, "search_index_enabled":false, "column_id":829000000038445 }, { "table_id":829000000037723, "column_sequence":6, "column_name":"EmpName", "category":2, "data_type":"text", "is_read_only":false, "max_length":50, "is_mandatory":true, "decimal_digits":2, "is_unique":false, "search_index_enabled":false, "column_id":829000000038450 } ] } ``` ### SDK Documentation [Get Column Metadata- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/data-store/get-column-meta)